/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.xml;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface XMLContext {
    
    XMLElement node();
    
    default XMLElements nodes() {
        return XMLElement.$(node());
    }
    
    int index();
    
}
